import { OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class AvatarComponent implements OnInit {
    private themesService;
    letters: string;
    showInitials: boolean;
    imageURL: string;
    size: 'small' | 'medium' | 'large' | 'none';
    rounded: 'small' | 'medium' | 'large' | 'full' | 'none';
    fillMode: 'solid' | 'outline' | 'none';
    themeColor: 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse';
    name: string;
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    getInitials(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarComponent, "lib-avatar", never, { "showInitials": { "alias": "showInitials"; "required": false; }; "imageURL": { "alias": "imageURL"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "themeColor": { "alias": "themeColor"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, {}, never, never, false, never>;
}
